POST/combined_shipping_rules/create_promotional_shipping_rule
This method defines promotional shipping rules such as discounts or free-shipping thresholds, configurable by marketplace for the seller.
Input
Resource URI
This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com
URI parameters
This method has no URI parameters.
HTTP request headers
All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.
The table below shows additional HTTP request headers that are either required, conditionally required, or strongly recommended for this method. Other standard HTTP request headers- opens rest request components page (not in this table) can also be used, but they are optional.
| Header | Type | Description |
|---|---|---|
| X-EBAY-C-MARKETPLACE-ID | string | This field header specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site (e.g., EBAY_US, EBAY_GB, EBAY_DE). For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type. Occurrence: Required |
OAuth scope
This request requires an access token created with the client credentials grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):
https://api.ebay.com/oauth/api_scope/sell.account
See OAuth access tokens for more information.
Request payload
Copy complete valid JSON to clipboardRequest fields
| Input container/field | Type | Description |
|---|---|---|
| combinedDuration | CombinedPaymentPeriodEnum | This container specifies the time window during which multiple unpaid orders can be combined into a single payment or invoice, represented by using one of the values in CombinedPaymentPeriodEnum type. Occurrence: Optional |
| promotionalShippingRule | PromotionalShippingRuleType | This container defines the promotional combined-shipping rule that offers discounts or free shipping based on order value, item count, or other qualifying conditions. Occurrence: Optional |
| promotionalShippingRule.combinedShippingRuleType | CombinedShippingRuleTypeEnum | This field specifies the type of combined-shipping rule applied, such as flat-rate or cost-based, Occurrence: Optional |
| promotionalShippingRule.itemCount | integer | This integer indicates the quantity of items that must be purchased by the buyer in order for that buyer to qualify for the promotional discount. Occurrence: Optional |
| promotionalShippingRule.orderAmount | Amount | This container specifies the minimum order amount required to qualify for the associated discount or promotional rule. Occurrence: Optional |
| promotionalShippingRule.orderAmount.currency | CurrencyCodeEnum | The base currency applied to the value field to establish a monetary amount. Occurrence: Optional |
| promotionalShippingRule.orderAmount.value | string | The monetary amount in the specified currency. Occurrence: Optional |
| promotionalShippingRule.shippingCost | Amount | This container represents the total shipping cost or discounted shipping charge for the combined order. Occurrence: Optional |
| promotionalShippingRule.shippingCost.currency | CurrencyCodeEnum | The base currency applied to the value field to establish a monetary amount. Occurrence: Optional |
| promotionalShippingRule.shippingCost.value | string | The monetary amount in the specified currency. Occurrence: Optional |
Output
HTTP response headers
This call has no response headers.
Response payload
This call has no payload.
Response fields
This call has no field definitions.
HTTP status codes
This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.
| Status | Meaning |
|---|---|
| 204 | No Content |
| 400 | Bad Request |
| 500 | Internal Server Error |
Error codes
For more on errors, plus the codes of other common errors, see Handling errors.
| Code | Domain | Category | Meaning |
|---|---|---|---|
| 395000 | API_ACCOUNT | APPLICATION | There was a problem with an eBay internal system or process. Contact eBay developer support for assistance. |
| 396000 | API_ACCOUNT | REQUEST | Invalid or missing 'currency'. |
| 396001 | API_ACCOUNT | REQUEST | Missing 'promotionalShippingRule'. |
| 396002 | API_ACCOUNT | REQUEST | Invalid or missing 'combinedShippingRuleType'. |
| 396007 | API_ACCOUNT | REQUEST | Invalid or missing 'combinedDuration'. |
| 396014 | API_ACCOUNT | REQUEST | The specified combined shipping rule data does not match any existing rules or the operation is not supported for this rule type. |
| 396017 | API_ACCOUNT | REQUEST | Invalid or missing 'shippingCost'. |
| 396018 | API_ACCOUNT | REQUEST | Invalid or missing 'orderAmount'. |
| 396020 | API_ACCOUNT | REQUEST | Invalid or missing 'itemCount'. |
| 396023 | API_ACCOUNT | REQUEST | The specified marketplace ID was not found. |
Warnings
This call has no warnings.
Samples
New to making API calls? Please see Making a Call.
Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.
Sample 1: Creates a promotional shipping rule for the seller
This method defines promotional shipping rules such as discounts or free-shipping thresholds, configurable by marketplace and seller for authenticated user.
Input
This method requires a request body with the promotional shipping rule details along with the X-EBAY-C-MARKETPLACE-ID header.
POSThttps://api.ebay.com/sell/account/v2/combined_shipping_rules/create_promotional_shipping_rule
Output
If the call is successful, a 204 success message is returned.